permissions incorrect on libmysqlclient16_7.0.9-1_amd64.deb

Bug #522225 reported by fejes on 2010-02-15
62
This bug affects 11 people
Affects Status Importance Assigned to Milestone
Release Notes for Ubuntu
High
Antonio Payne
mysql-dfsg-5.1 (Ubuntu)
High
Steve Langasek
Lucid
High
Steve Langasek
update-manager (Ubuntu)
High
Michael Vogt
Lucid
High
Michael Vogt

Bug Description

It seems that the file libmysqlclient16_7.0.9-1_amd64.deb has the incorrect permissions assigned to it in the respository.

Trying to download it gives an error. This is the result of "sudo apt-get upgrade":

Err http://archive.ubuntu.com lucid/main libmysqlclient16 7.0.9-1
  403 Forbidden [IP: 91.189.88.46 80]
Failed to fetch http://archive.ubuntu.com/ubuntu/pool/main/m/mysql-cluster-7.0/libmysqlclient16_7.0.9-1_amd64.deb 403 Forbidden [IP: 91.189.88.46 80]
E: Unable to fetch some archives, try running apt-get update or apt-get --fix-missing.

Not a big deal, it just halts the upgrade. Running "sudo apt-get --fix-missing" does absolutely nothing. (Gives a list of apt-get commands.)

Answers to questions suggested below:
1) The release of Ubuntu you are using, via 'lsb_release -rd' or System -> About Ubuntu.

Lucid - Most recently upgraded last week
Linux 2.6.32-13-generic #18-Ubuntu SMP Wed Feb 10 21:32:38 UTC 2010 x86_64 GNU/Linux

2) The version of the package you are using, via 'apt-cache policy packagename' or by checking in Synaptic.

not relevant.

3) What you expected to happen

I expected the file to be downloaded.

4) What happened instead

File was not downloaded, and an error appeared.

Monkey (monkey-libre) wrote :

I´ve assigned this bug to the libmysqlclient-lgpl package. Thank You for making Ubuntu better.

affects: ubuntu → libmysqlclient-lgpl (Ubuntu)
Eyad Salah (eyad-salah) wrote :

Could someone please just solve this issue. It's a simple problem shouldn't be taking long time to fix

Eyad Salah (eyad-salah) wrote :

For a workaround you can do what I do and download from a mirror

duffolonious (duff0097) wrote :

Failed to fetch http://us.archive.ubuntu.com/ubuntu/pool/main/m/mysql-cluster-7.0/libmysqlclient16_7.0.9-1_amd64.deb 403 Forbidden [IP: 91.189.88.46 80]

Errr... ok fine, let's try a mirror:

/var/cache/apt/archives# wget http://www.gtlib.gatech.edu/pub/ubuntu/pool/main/m/mysql-cluster-7.0/libmysqlclient16_7.0.9-1_amd64.deb
--2010-02-15 19:21:51-- http://www.gtlib.gatech.edu/pub/ubuntu/pool/main/m/mysql-cluster-7.0/libmysqlclient16_7.0.9-1_amd64.deb
Resolving www.gtlib.gatech.edu... 128.61.111.9, 128.61.111.10, 128.61.111.11
Connecting to www.gtlib.gatech.edu|128.61.111.9|:80... connected.
HTTP request sent, awaiting response... 403 Forbidden
2010-02-15 19:21:51 ERROR 403: Forbidden.

Still no, at least this worked:

/var/cache/apt/archives# wget http://ubuntu.mirrors.tds.net/pub/ubuntu/pool/main/m/mysql-cluster-7.0/libmysqlclient16_7.0.9-1_amd64.deb
--2010-02-15 20:46:22-- http://ubuntu.mirrors.tds.net/pub/ubuntu/pool/main/m/mysql-cluster-7.0/libmysqlclient16_7.0.9-1_amd64.deb
Resolving ubuntu.mirrors.tds.net... 64.50.236.222
Connecting to ubuntu.mirrors.tds.net|64.50.236.222|:80... connected.
HTTP request sent, awaiting response... 200 OK
Length: 5007962 (4.8M) [text/plain]
Saving to: `libmysqlclient16_7.0.9-1_amd64.deb'

100%[======================================>] 5,007,962 320K/s in 16s

2010-02-15 20:46:38 (310 KB/s) - `libmysqlclient16_7.0.9-1_amd64.deb' saved [5007962/5007962]

...

Still a fix would be nice. This mirror was uptodate - so maybe the problem has been fixed, it just hasn't been pushed out?

fejes (anthony-fejes) wrote :

24-hours later, this fix hasn't found it's way to a lot of mirrors, however, setting the source to ubuntu.mirrors.tds.net does seem to function as a viable workaround.

Not sure why a simple permission problem is taking so long to fix, but good to have an alternate method to get updates.

Claudio Moretti (flyingstar16) wrote :

Last time this happened, it was with python and it was due to a very big bug pythoin had that would crash all machines that upgraded it.
I hope this is not the case, but I suggest NOT to download it from other mirrors in order to prevent problems with your distro.
At least until an official answer.

Changed in libmysqlclient-lgpl (Ubuntu):
status: New → Confirmed
Changed in libmysqlclient-lgpl (Ubuntu):
assignee: nobody → Steve Langasek (vorlon)
fejes (anthony-fejes) wrote :

I installed it last night and had some issues with the install not completing, but they seem unrelated, as I have been having similar issues with other upgrades lately as well. Though the advice not to install it may still be wise, it didn't wreck my computer. (=

Steve Langasek (vorlon) on 2010-02-18
affects: libmysqlclient-lgpl (Ubuntu) → mysql-dfsg-5.1 (Ubuntu)
Changed in mysql-dfsg-5.1 (Ubuntu):
importance: Undecided → High
milestone: none → lucid-alpha-3
status: Confirmed → Triaged
Steve Langasek (vorlon) wrote :

Downloading the file from a mirror is not the right thing to do. The file is marked unreadable because it's not *meant* to be downloaded; this bug will be fixed today when it's replaced by a correct version of the library in question.

So the bug here is not the permissions, at all, which is why they haven't been fixed. The bug is the package that the permissions are trying to protect users from downloading.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mysql-dfsg-5.1 - 5.1.41-3ubuntu5

---------------
mysql-dfsg-5.1 (5.1.41-3ubuntu5) lucid; urgency=low

  * No-change rebuild to clean up after the mysql-cluster-7.0 accident.
    LP: #522225.
 -- Steve Langasek <email address hidden> Thu, 18 Feb 2010 11:04:35 +0000

Changed in mysql-dfsg-5.1 (Ubuntu):
status: Triaged → Fix Released
Steve Langasek (vorlon) wrote :

This issue should be mentioned in the lucid release notes, and in the alpha-3 announcement, to let users know they need to downgrade the package for security support if they managed to install the wrong one.

Changed in ubuntu-release-notes:
importance: Undecided → High
status: New → Triaged

On Thu, Feb 18, 2010 at 02:53:44PM -0000, Steve Langasek wrote:
> This issue should be mentioned in the lucid release notes, and in the
> alpha-3 announcement, to let users know they need to downgrade the
> package for security support if they managed to install the wrong one.
>

Are you referring to the Lucid *alpha3* release notes - or the *final* release notes?

--
Mathias Gug
Ubuntu Developer http://www.ubuntu.com

Claudio Moretti (flyingstar16) wrote :

Il suppose the alpha3 notes, as this was fixed before alpha3 and final users
won't be affected

On Thu, Feb 18, 2010 at 18:01, Mathias Gug <email address hidden> wrote:

> On Thu, Feb 18, 2010 at 02:53:44PM -0000, Steve Langasek wrote:
> > This issue should be mentioned in the lucid release notes, and in the
> > alpha-3 announcement, to let users know they need to downgrade the
> > package for security support if they managed to install the wrong one.
> >
>
> Are you referring to the Lucid *alpha3* release notes - or the *final*
> release notes?
>
> --
> Mathias Gug
> Ubuntu Developer http://www.ubuntu.com
>
> --
> permissions incorrect on libmysqlclient16_7.0.9-1_amd64.deb
> https://bugs.launchpad.net/bugs/522225
> You received this bug notification because you are a direct subscriber
> of the bug.
>
> Status in Ubuntu Release Notes: Triaged
> Status in “mysql-dfsg-5.1” package in Ubuntu: Fix Released
>
> Bug description:
>
> It seems that the file libmysqlclient16_7.0.9-1_amd64.deb has the incorrect
> permissions assigned to it in the respository.
>
> Trying to download it gives an error. This is the result of "sudo apt-get
> upgrade":
>
> Err http://archive.ubuntu.com lucid/main libmysqlclient16 7.0.9-1
> 403 Forbidden [IP: 91.189.88.46 80]
> Failed to fetch
> http://archive.ubuntu.com/ubuntu/pool/main/m/mysql-cluster-7.0/libmysqlclient16_7.0.9-1_amd64.deb403 Forbidden [IP: 91.189.88.46 80]
> E: Unable to fetch some archives, try running apt-get update or apt-get
> --fix-missing.
>
> Not a big deal, it just halts the upgrade. Running "sudo apt-get
> --fix-missing" does absolutely nothing. (Gives a list of apt-get commands.)
>
> Answers to questions suggested below:
> 1) The release of Ubuntu you are using, via 'lsb_release -rd' or System ->
> About Ubuntu.
>
> Lucid - Most recently upgraded last week
> Linux 2.6.32-13-generic #18-Ubuntu SMP Wed Feb 10 21:32:38 UTC 2010 x86_64
> GNU/Linux
>
> 2) The version of the package you are using, via 'apt-cache policy
> packagename' or by checking in Synaptic.
>
> not relevant.
>
> 3) What you expected to happen
>
> I expected the file to be downloaded.
>
> 4) What happened instead
>
> File was not downloaded, and an error appeared.
>
> To unsubscribe from this bug, go to:
> https://bugs.launchpad.net/ubuntu-release-notes/+bug/522225/+subscribe
>

Steve Langasek (vorlon) wrote :

I mean both the alpha3 and final release notes, fwiw.

Steve Langasek (vorlon) wrote :

Opened a task on update-manager for this, after discussion with mvo. update-manager can run the equivalent of 'sudo apt-get install libmysqlclient16/lucid' for us on upgrade, only smarter.

Changed in update-manager (Ubuntu):
importance: Undecided → High
milestone: none → ubuntu-10.04
status: New → Triaged
Changed in update-manager (Ubuntu Lucid):
assignee: nobody → Michael Vogt (mvo)
Steve Langasek (vorlon) wrote :
Changed in ubuntu-release-notes:
status: Triaged → Fix Released
Steve Langasek (vorlon) on 2010-04-21
Changed in update-manager (Ubuntu Lucid):
milestone: ubuntu-10.04 → lucid-updates
Antonio Payne (apayne-w) on 2012-09-21
Changed in ubuntu-release-notes:
assignee: nobody → Antonio Payne (apayne-w)
Rolf Leggewie (r0lf) wrote :

lucid has seen the end of its life and is no longer receiving any updates. Marking the lucid task for this ticket as "Won't Fix".

Changed in update-manager (Ubuntu Lucid):
status: Triaged → Won't Fix
faiz (starone-faiz) on 2016-04-12
Changed in update-manager (Ubuntu):
status: Triaged → Confirmed
Steve Langasek (vorlon) on 2016-04-12
Changed in update-manager (Ubuntu):
milestone: lucid-updates → none
status: Confirmed → Triaged
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers